帝国cms教程

帝国CMS编辑器IE10不显示解决方法

我的站长站 2022-12-30 人阅读

方法一、浏览器设置兼容模式:

打开IE,点击“工具”菜单,选择“兼容性视图设置”,勾选“在兼容性视图中显示所有网站”选项即可.//phpfensi.com

备注:我的是IE11,操作和上面不一样,打开IE,右上角点击“设置“,选择“兼容性视图设置”,输入你的网站域名(格式:phpfensi.com),点击添加


方法二、在使用编辑器的网页头部下面加上:(路径:e/admin/AddNews.php)

meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7"

自己加尖括号,新浪会自动识别代码,蛋疼


方法三、修改编辑器本身JS文件:

帝国CMS后台编辑器目录为 /e/admin/ecmseditor/infoeditor/、前台编辑器目录为 /e/data/ecmseditor/infoeditor/

修改编辑器目录下的 /editor/js/fckeditORCode_ie.js 文件,查找

B.open("GET",A,false);

在后面添加以下代码保存

try{B.responseType='msxml-document';}catch(e){}

保存之后如下

B.open("GET",A,false);try{B.responseType='msxml-document';}catch(e){}B.send(null);


相关专题
编辑器
编辑器
2021-05-14 209

编辑器是网站开发必备插件,编辑器专题为大家整理各类型编辑器下载,包含热门的CMS程序编辑器插件下载,html编辑器源码下载等等....

相关推荐
  • 帝国cms编辑器
  • 帝国cms默认编辑器UEdito读取远程图片失效

    帝国cms默认编辑器UEdito读取远程图片失效,失败的原因有2个,1是文件类型,也就是文件的扩展名验证不通过。2是当图片的地址后面带问号“?”,也就是地址后面带参数的时候,拉取远程图片会失败。另外,验证时的扩展名问题解决了,就出现另一个问题,就是上传保存的...

    帝国cms教程 121 3年前
  • 帝国cms编辑器跨站漏洞

    漏洞类型:跨站脚本攻击(XSS)所属建站程序:帝国cms所属服务器类型:通用所属编程语言:PHP描述:帝国cms编辑器中存在xss跨站,$InstanceName参数外部获取直接输出危害:

    帝国cms教程 801 11年前
  • 帝国CMS7.2更新Fckeditor编辑器

    帝国CMS7.2版本Fckeditor编辑器更新如下:1、更新让编辑器默认支持IE10以上版本;2、更新编辑器插入分页分隔符支持火狐;3、更新编辑器插入br支持火狐。由于IE10以上版本头部信息不再包含“MSIE”内容,导致Fckeditor编辑器无法识别IE版本。因而,帝国CMS7....

    帝国cms教程 256 9年前
最新更新